﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfApplication61.ViewModel;
using Infragistics.Windows.DataPresenter;

namespace WpfApplication61
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        Record newrecord;
        Record lastrec;
        VM vm = new VM();
        double extheight = 0;
        public MainWindow()
        {
            InitializeComponent();
            layoutroot.DataContext = vm;
        }

        private void xgrid1_RecordAdded(object sender, Infragistics.Windows.DataPresenter.Events.RecordAddedEventArgs e)
        {
            newrecord = e.Record;
            Record[] rc = xgrid1.GetRecordsInView(false);
            lastrec = rc[rc.Length - 2];
           // MessageBox.Show(rc.Length.ToString());
        
        }

        private void xgrid1_RecordUpdated(object sender, Infragistics.Windows.DataPresenter.Events.RecordUpdatedEventArgs e)
        {
            if (e.Record == newrecord)
            {
                Dispatcher.BeginInvoke(new Action(() =>
                {
                  
                    xgrid1.BringRecordIntoView(lastrec);

                }), null
);

        
            }
        }

        private void xgrid1_PreviewMouseRightButtonDown(object sender, MouseButtonEventArgs e)
        {
            LabelPresenter lp = sender as LabelPresenter;
            MessageBox.Show(lp.Field.Name);
        }

      

      
 
    }
}
